#include <SoftwareSerial.h>

#define SENSORPIN	(0)

const char szUUIDChara1[] = "022EA09A348A11E8B4670ED5F89F718B";

SoftwareSerial g_rn4020( 6, 7 );

void setup()
{
	// RN4020の起動待ちウェイト
	delay( 1000 );	// 1秒

	// ボーレートを指定して通信開始
	g_rn4020.begin( 115200 );
}

void loop()
{
	// 測定と送信
	ReadAndSend();

	delay( 1000 );	// 1秒
}

// 測定と送信
void ReadAndSend()
{
	// 測定
	int iValue = analogRead( SENSORPIN );

	// 測定値のBLEモジュールへの書き込み
	char szCommand[1024] = "";	// 送信コマンド
	sprintf( szCommand, "SUW,%s,%04X", szUUIDChara1, iValue );	// コマンド作成
	g_rn4020.println( szCommand );	// コマンド送信
}
